      subroutine savd(ldir,
     $       lpri,lun,lun11,
     $       t,r,rdel,delr,xcol,xee,xpx,
     $       tau0,dpthc,tauc)
c
c     this routine  saves only depths for iterative calculation
c     author:  T. Kallman
c
      implicit none
c
      include './PARAM'
c
c     line optical depths
      real tau0(2,nnnl)
c     continuum optical depths
      real dpthc(2,ncn)
      integer ldir,lpri,lun,lun11
      real tauc(2,nnml)
      real t,r,rdel,xcol,xee,xpx,delr
c
      if (lpri.ne.0) write (lun11,*)'in savd',rdel,t,tauc(1,25),ldir
      write (lun)t
      write (lun)r
      write (lun)rdel
      write (lun)delr
      write (lun)xcol
      write (lun)xee
      write (lun)xpx
      write (lun)tau0
      write (lun)dpthc
      write (lun)tauc
c
      return
      end
